'splitchannels
'splits SpecLab export data from dual-channel spectrograms into two separate files

'usage: splitchannels file.txt
'or drag and drop file.txt over program icon

'$ lang: "qb"
deflng a-z

fname$="fftdata"
cmd$ = ltrim$(rtrim$(command$))
if instr(cmd$,".") > 0 then cmd$ = left$(cmd$,instr(cmd$,".")-1)  
if len(cmd$)>=1 then fname$=cmd$ 

OPEN fname$+".txt" FOR INPUT AS 1
OPEN fname$+"_ch1.txt" FOR OUTPUT AS 2
OPEN fname$+"_ch2.txt" FOR OUTPUT AS 3


 for n=0 to 3
  INPUT #1, hdr#
  PRINT #2, hdr#;" ";
  PRINT #3, hdr#;" ";
 next n

 WHILE NOT EOF(1)
  INPUT #1, ar!, ai!
  PRINT #2, ar!;" "; ai!;" ";
  INPUT #1, ar!, ai!
  PRINT #3, ar!;" "; ai!;" ";
 WEND

CLOSE 3
CLOSE 2
CLOSE 1
